%{?nodejs_find_provides_and_requires}

Name:       nodejs-time
Version:    0.11.0
Release:    1%{?dist}
Summary:    time.h bindings for Node.js
License:    MIT 
URL:        https://github.com/TooTallNate/node-time
Source:     https://github.com/TooTallNate/node-time/archive/v%{version}.tar.gz



BuildArch:  noarch

BuildRequires:  nodejs-packaging
BuildRequires:  nodejs-bindings
BuildRequires:  nodejs-debug
BuildRequires:  nodejs-nan

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
Offers simple bindings for the C time.h APIs and extended native Date object with getTimezone() and setTimezone() functions

%prep
%setup -q -n node-time-%{version}


%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/nodejs-time
cp -rp index.js package.json src/ %{buildroot}%{nodejs_sitelib}/nodejs-time

%check
%if 0%{?enable_tests}
%check
mocha --reporter spec
%endif

%files
%doc History.md LICENSE README.md test/
%{nodejs_sitelib}/nodejs-time


%changelog
* Tue Feb 3 2015 Anish Patil <apatil@redhat.com> - 0.11.0-1
- initial package
